Authorization: Bearer ********************{
"submit_type": "save_submit",
"engine_mile": "20",
"thrust_pad_temp": 20,
"stern_tube_barge_temp": 20,
"intermediate_shaft_temp": 20,
"ambient_water_temp": 20,
"thrus_sea_water_temp": 20,
"fuel_consumption": [
{
"voyage_rob_product_id": "05c50458-42db-4c63-a787-7897fd3252aa",
"uom_ref_id": "1000049",
"current_qty": 2000,
"quantity_me": 20,
"quantity_au_1": 20,
"quantity_au_2": 20,
"quantity_au_3": 20,
"quantity_cb": 20,
"quantity_ab": 20,
"quantity_other": 20
}
],
"oil_consumption": [
{
"voyage_rob_product_id": "6e71e4ec-8051-405c-8e36-892d75e08bf6",
"uom_ref_id": "1000049",
"current_qty": 2000,
"quantity": 20,
"remarks": "testing remarks"
}
],
"running_hour":[
{
"type": "auxiliary_engine",
"cycle": 1,
"component_id": "",
"start_date": "{{$date.now}}",
"end_date": "{{$date.now|addWeeks(1)}}",
"start_timezone": "+10",
"end_timezone": "+10",
"load": 1,
"rpm": 2
}
],
"average_load_me":20,
"average_load_au_1": 20,
"average_load_au_2": 20,
"average_load_au_3": 20,
"remarks":"halo"
}curl --location --request PUT 'https://mazu-lan.concise.co.id/api/v1/main/voyage-instructions/ef4fe0d1-9666-42d7-aff3-04b7e98ba3ab/events/0088a83e-7e00-45ce-b265-ba4b8d975099/engine' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
"submit_type": "save_submit",
"engine_mile": "20",
"thrust_pad_temp": 20,
"stern_tube_barge_temp": 20,
"intermediate_shaft_temp": 20,
"ambient_water_temp": 20,
"thrus_sea_water_temp": 20,
"fuel_consumption": [
{
"voyage_rob_product_id": "05c50458-42db-4c63-a787-7897fd3252aa",
"uom_ref_id": "1000049",
"current_qty": 2000,
"quantity_me": 20,
"quantity_au_1": 20,
"quantity_au_2": 20,
"quantity_au_3": 20,
"quantity_cb": 20,
"quantity_ab": 20,
"quantity_other": 20
}
],
"oil_consumption": [
{
"voyage_rob_product_id": "6e71e4ec-8051-405c-8e36-892d75e08bf6",
"uom_ref_id": "1000049",
"current_qty": 2000,
"quantity": 20,
"remarks": "testing remarks"
}
],
"running_hour":[
{
"type": "auxiliary_engine",
"cycle": 1,
"component_id": "",
"start_date": "{{$date.now}}",
"end_date": "{{$date.now|addWeeks(1)}}",
"start_timezone": "+10",
"end_timezone": "+10",
"load": 1,
"rpm": 2
}
],
"average_load_me":20,
"average_load_au_1": 20,
"average_load_au_2": 20,
"average_load_au_3": 20,
"remarks":"halo"
}'{
"status": true,
"code": 201,
"message": "Voyage Event Engine Created"
}